Package org.wildfly.plugin.common

## Class MavenModelControllerClientConfiguration

- java.lang.Object
- - org.wildfly.plugin.common.MavenModelControllerClientConfiguration

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `org.jboss.as.controller.client.ModelControllerClientConfiguration`

      public class MavenModelControllerClientConfiguration
      extends Object
      implements org.jboss.as.controller.client.ModelControllerClientConfiguration

  A configuration used to connect a `ModelControllerClient` or used to connect a CLI `CommandContext`
  Author:
    James R. Perkins

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.as.controller.client.ModelControllerClientConfiguration

      `org.jboss.as.controller.client.ModelControllerClientConfiguration.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `URI` | `getAuthenticationConfigUri()` |
    `CallbackHandler` | `getCallbackHandler()` |
    `String` | `getClientBindAddress()` |
    `int` | `getConnectionTimeout()` |
    `String` | `getController()` | Formats a connection string for CLI to use as it's controller connection.
    `ExecutorService` | `getExecutor()` |
    `String` | `getHost()` |
    `char[]` | `getPassword()` | The password providedor `null` if one was not provided.
    `int` | `getPort()` |
    `String` | `getProtocol()` |
    `Map<String,​String>` | `getSaslOptions()` |
    `SSLContext` | `getSSLContext()` |
    `org.wildfly.security.SecurityFactory<SSLContext>` | `getSslContextFactory()` |
    `String` | `getUsername()` | The username provided or `null` if one was not provided.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getHost

          public String getHost()

      Specified by:
        `getHost` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getPort

          public int getPort()

      Specified by:
        `getPort` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getProtocol

          public String getProtocol()

      Specified by:
        `getProtocol` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getConnectionTimeout

          public int getConnectionTimeout()

      Specified by:
        `getConnectionTimeout` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getCallbackHandler

          public CallbackHandler getCallbackHandler()

      Specified by:
        `getCallbackHandler` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getSaslOptions

          public Map<String,​String> getSaslOptions()

      Specified by:
        `getSaslOptions` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getSSLContext

          public SSLContext getSSLContext()

      Specified by:
        `getSSLContext` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getSslContextFactory

          public org.wildfly.security.SecurityFactory<SSLContext> getSslContextFactory()

      Specified by:
        `getSslContextFactory` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getExecutor

          public ExecutorService getExecutor()

      Specified by:
        `getExecutor` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getClientBindAddress

          public String getClientBindAddress()

      Specified by:
        `getClientBindAddress` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### getAuthenticationConfigUri

          public URI getAuthenticationConfigUri()

      Specified by:
        `getAuthenticationConfigUri` in interface `org.jboss.as.controller.client.ModelControllerClientConfiguration`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Throws:
        `IOException`

    - #### getUsername

          public String getUsername()

      The username provided or `null` if one was not provided.
      Returns:
        the username or `null`

    - #### getPassword

          public char[] getPassword()

      The password providedor `null` if one was not provided.
      Returns:
        the password or `null`

    - #### getController

          public String getController()

      Formats a connection string for CLI to use as it's controller connection.
      Returns:
        the controller string to connect CLI